export default class FormUtils {
    static isForm(structure: any): any;
    static isWizardStep(structure: any): any;
    static isSection(question: any): any;
    static isAnswerable(question: any): any;
    static isTypeahead(question: any): any;
    static getPossibleValuesQuery(question: any): any;
    static isDisabled(question: any): any;
    static isHidden(question: any): any;
    static isTextarea(question: any, answerValue: any): any;
    static isText(question: any): any;
    static isCalendar(question: any): any;
    static isDate(question: any): any;
    static isTime(question: any): any;
    static isDateTime(question: any): any;
    static isCheckbox(question: any): any;
    static isMaskedInput(question: any): any;
    static isSparqlInput(question: any): any;
    static isTurtleInput(question: any): any;
    static isCollapsed(question: any): any;
    static isEmphasised(question: any): any;
    static getCategory(question: any): string | undefined;
    static resolveValue(answer: any): any;
    static resolveValueObject(answer: any): any;
    static isRelevant(question: any): boolean;
    static hasValidationLogic(question: any): boolean;
    static isValid(question: any): boolean;
    static testOrCondition(condition: any): boolean;
    static testCondition(condition: any): boolean;
    static _getMappedObjectsArray(jsonObjects: any, objectType: any): any;
    static hasAnswer(question: any): boolean;
    static getAnswerValue(question: any): any;
    /**
     * Resolves which format of date/time/datetime value should be used in the datetime picker.
     * @param question Question with format info
     * @param originalValue Value read from answer, not processed by the rendered component
     * @param options Object with datetime formats
     * @return {*} Format from Configuration
     */
    static resolveDateTimeFormat(question: any, originalValue: any, options: any): any;
    /**
     * Traverse provided array of questions recursively by DFS algorithm
     * and execute on each traversed question provided function.
     * @param {Array<Object>} questions - The array of questions to be traversed.
     * @param func - The function to be executed on each recursively traversed question.
     */
    static dfsTraverseQuestionTree(questions: Array<Object>, func: any): void;
    /**
     * Performs a dfs on a set of questions and executes callback functions
     * when entering and leaving each question.
     * @param {Array<Object>} questions - The array of questions to traverse.
     * @param {function} onEnterQuestion - The callback function to execute when entering a question.
     * @param {function} onLeaveQuestion - The callback function to execute when leaving a question.
     */
    static dfsOnEnterAndLeaveQuestion(questions: Array<Object>, onEnterQuestion: Function, onLeaveQuestion: Function): void;
    static printFormSpecification(questions: any): string;
}
